summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Turner <jturner.usa@gmail.com>2025-11-30 19:05:02 +0000
committerJohn Turner <jturner.usa@gmail.com>2025-11-30 19:05:02 +0000
commitf06859c447d13eb2c0385eefea6c73548fa83db5 (patch)
tree10c99e53d471ba3d1d7046b7b020abdba521599b
parentb0311ba8135d141f00323b51647f6e3e9eaf1342 (diff)
downloadgentoo-utils-f06859c447d13eb2c0385eefea6c73548fa83db5.tar.gz
run meson compile before running check commands
-rwxr-xr-xcheck.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/check.sh b/check.sh
index 0140b6f..fa7fcd3 100755
--- a/check.sh
+++ b/check.sh
@@ -15,6 +15,8 @@ if [[ ! -d build ]]; then
meson setup -Dfuzz=enabled -Dtests=enabled build || exit $?
fi
+meson compile -C build || exit $?
+
ebegin "running check commands"
parallel --halt soon,fail=1 --keep-order -j$(nproc) < check_commands.txt
eend $? || exit $?